<h1><%= @title = 'Bulk Operation' %>
<div class="frm">
  <%= start_form_tag :action => "do_bulk" %>
  <input type="hidden" name="change_type" value="<%= @change_type %>" />
  <fieldset>
    <legend>Bulk Operation</legend>
    <table cellspacing="0" cellpadding="4">
      <tr>
	<td class="tbl_label">Tasks</td>
	<td class="tbl_data">
	  <ul>
	    <% for bug in @bugs %>
	    <li>#<%= bug.id %> <%= bug.title %></li>
	    <input type="hidden" name="bugs[]" value="<%= bug.id %>" />
	    <% end %>
	  </ul>
	</td>
      </tr>
      <% if @change_type == Change::RESOLVED_TYPE %>
      <tr>
	<td class="tbl_label">Status</td>
	<td class="tbl_data">
	  <select name="bug[status]">
	    <% Bug::RESOLVE_RANGE.each do |i| %>
	    <option value="<%= i %>"><%= Bug::STATUS_NAMES[i] %></option>
	    <% end %>
	  </select>
	</td>
      </tr>
      <% elsif @change_type == Change::ASSIGNED_TYPE %>
      <tr>
	<td class="tbl_label">Assign to</td>
	<td class="tbl_data">
	  <select name="bug[user_id]">
	    <% for user in @users %>
	    <option value="<%= user.id %>"><%= user.full_name %></option>
	    <% end %>
	  </select>
	</td>
      </tr>
      <% elsif @change_type == Change::CLOSED_TYPE || @change_type == Change::REOPENED_TYPE %>
      <tr>
	<td class="tbl_label">Status</td>
	<td class="tbl_data"><%= Change::CHANGE_TYPES[@change_type] %></td>
      </tr>
      <input type="hidden" name="bug[status]" value="<%= @change_type == Change::CLOSED_TYPE ?  Bug::CLOSED : Bug::ACTIVE %>" />
      <% end %>
      <tr>
	<td class="tbl_label">Description</td>
	<td class="tbl_data"><textarea name="msg" cols="55" rows="10"></textarea></td>
      </tr>
    </table>
  </fieldset>
  <div class="btn"><input type="submit" value="Perform" /></div>
  <%= end_form_tag %>
</div>
